<div class="lw-reports-wrapper" xmlns:v-on="http://www.w3.org/1999/xhtml" xmlns:v-bind="http://www.w3.org/1999/xhtml">
  <nav class="lw-reports-menu-bar navbar navbar-expand-sm navbar-light border-bottom">
    <div class="lw-container lw-top-menu my-3 w-100">
      <a class="navbar-brand mr-4">Reports</a>
      <button class="navbar-toggler float-right" data-toggle="collapse" data-target="#navbarCollapse">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <router-link class="nav-link" to="/reports/summary">Summary</router-link>
          </li>
          <li class="nav-item">
            <router-link class="nav-link" to="/reports/detailed">Detailed</router-link>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  <div class="lw-reports-title lw-container">
    <div class="row mt-4 mb-5">
      <div class="col-12 col-md-6"><h2>Summary Reports</h2></div>
      <div class="col-12 col-md-6 text-right">
        <h5 class="week-picker-wrapper my-0">
          <input id="weekPicker" type="text" class="week-picker-input w-100 text-right"
                 placeholder="Select Week" v-model="weekDate"/>
          <span class="picker-icon" v-on:click="showPicker">
            <i class="fas fa-caret-down"></i>
          </span>
        </h5>
      </div>
    </div>
  </div>

  <div class="lw-filter-wrapper lw-container">
    <nav class="navbar navbar-expand-sm navbar-light bg-light my-5">
      <button class="navbar-toggler ml-3" data-toggle="collapse" data-target="#searchBar">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse w-100" id="searchBar">
        <ul class="lw-filter navbar-nav w-100">
          <li class="nav-item dropdown border-right">
            <a class="lw-dropdown-toggle nav-link dropdown-toggle px-4" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Project
            </a>
            <div class="lw-dropdown dropdown-menu" aria-labelledby="navbarDropdown">
              <div class="lw-dropdown-item dropdown-item" v-for="proj in createdProjects">
                <input type="checkbox" v-bind:id="proj.name" v-model="proj.selected" title="">
                <label v-bind:for="proj.name" v-on:click.stop="addProject(proj)">{{ proj.name }}</label>
              </div>
            </div>
          </li>
          <li class="nav-item border-right">
            <input type="text" class="filter-desc form-control" placeholder="Description..."
                   v-model="descFilter"/>
          </li>
          <li class="filter-apply nav-item border-right">
            <button class="btn btn-secondary btn-lg" v-on:click="applyFilter">Apply</button>
          </li>
        </ul>
      </div>
    </nav>
  </div>

  <div class="lw-operation-wrapper lw-container mb-3">
    <div class="row">
      <div class="col-8">
        <span class="time-label text-muted">Total:</span>
        <span class="time-label h5 font-weight-bold">{{ totalTimeSpent }}</span>
      </div>
      <div class="col-4">
        <nav class="navbar navbar-expand-md navbar-light">
          <button class="navbar-toggler ml-3" data-toggle="collapse" data-target="#operationBar">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="operation-navbar collapse navbar-collapse" id="operationBar">
            <ul class="navbar-nav">
              <li class="nav-item border-right">
                <button class="btn btn-link px-4" v-on:click="exportPdf">Export PDF</button>
              </li>
              <li class="nav-item">
                <button class="btn btn-link px-4" v-on:click="printChart"><i class="fas fa-print"></i></button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <div class="lw-reports-bar-chart lw-container pb-5 border-bottom">
    <div class="row justify-content-center">
      <div class="col-md-10">
        <canvas id="bar-chart" width="1000" height="400"></canvas>
      </div>
    </div>
  </div>

  <div class="lw-reports-pie-chart lw-container py-5">
    <div class="row">
      <div class="col-md-8">
        <div class="table-responsive">
          <table class="table table-hover table mt-2">
            <thead>
            <tr class="d-flex">
              <th class="lw-table-header col-6" v-on:click="sortTable('projectName')">
                <span>Project</span>
                <span>
                  <span v-bind:class="{active: sortBy === 'projectName' && sortOrder === 'asc'}">
                    <i class="fas fa-angle-down"></i>
                  </span>
                  <span v-bind:class="{active: sortBy === 'projectName' && sortOrder === 'desc'}">
                    <i class="fas fa-angle-up"></i>
                  </span>
                </span>
              </th>
              <th class="lw-table-header col-6" v-on:click="sortTable('duration')">
                <span>Duration</span>
                <span>
                  <span v-bind:class="{active: sortBy === 'duration' && sortOrder === 'asc'}">
                    <i class="fas fa-angle-down"></i>
                  </span>
                  <span v-bind:class="{active: sortBy === 'duration' && sortOrder === 'desc'}">
                    <i class="fas fa-angle-up"></i>
                  </span>
                </span>
              </th>
            </tr>
            </thead>
            <tbody>
            <tr class="d-flex" v-for="item in summaryTableSorted">
              <td class="col-6">{{ item.projectName }}</td>
              <td class="col-6">{{ item.duration | convertDuration }}</td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="col-6 col-md-4">
        <canvas id="pie-chart" width="1000" height="1000"></canvas>
      </div>
    </div>
  </div>
</div>